export declare class OperaOptions {
    /** The `sessionid` cookie to login to the publisher's account. If you have a hard time obtaining it, run: `web-ext-deploy --get-cookies=opera` */
    sessionid: string;
    /** The `csrftoken` cookie to upload the ZIP. If you have a hard time obtaining it, run: `web-ext-deploy --get-cookies=opera` */
    csrftoken: string;
    /** The extension ID. E.g. `https://addons.opera.com/developer/package/PACKAGE_ID` */
    packageId: number;
    /**
     * The path to the ZIP, relative from the current working directory (`process.cwd()`)<br>
     * You can use `{version}`, which will be replaced by the `version` entry from your `package.json`, e.g. `some-zip-v{version}.zip`
     */
    zip: string;
    /**
     * A description of the changes in this version, compared to the previous one.<br>
     * It's recommended to use instead `--opera-changelog` , so it stays up to date.
     */
    changelog?: string;
    /** If `true`, every step of uploading to the Opera Add-ons will be logged to the console. */
    verbose?: boolean;
    constructor(options: OperaOptions);
}
export declare function prepareToDeployOpera(options: OperaOptions): Promise<boolean>;
